> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Instagram connection status

> Check if the account is connected and ready.



## OpenAPI

````yaml /en/instagram-api/api-reference/openapi-instagram.json get /v1/instagram/instances/{instanceId}/connection
openapi: 3.0.3
info:
  title: Notifique API — Instagram
  version: 1.0.0
  description: >-
    Send Instagram DMs and manage connections. Authenticate with `Authorization:
    Bearer sk_live_...` or `x-api-key`.
servers:
  - url: https://api.notifique.dev
    description: Production
security:
  - ntfIgBearerAuth: []
  - ntfIgApiKeyHeader: []
tags:
  - name: 'Instagram: instances'
    description: Criar, listar, desconectar e remover conexões Instagram.
  - name: 'Instagram: messages'
    description: Enviar, listar, editar, cancelar, apagar e inbound.
  - name: 'Instagram: comments'
    description: Listr, responder e moderar comentários.
paths:
  /v1/instagram/instances/{instanceId}/connection:
    get:
      tags:
        - 'Instagram: instâncias'
      summary: Instagram connection status
      description: Check if the account is connected and ready.
      operationId: ntfIg_getConnection
      parameters:
        - name: instanceId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Snapshot da sessão, com flags de bloqueio de connect e warm-up.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfIg_ConnectionStatus'
              example:
                success: true
                data:
                  status: ACTIVE
                  liveConnected: true
                  username: '@seu_usuario'
                  lockedUsername: seu_usuario
                  reconnectBlockedUntil: null
                  abusePausedUntil: null
                  connectBlocked: false
                  warmup:
                    active: true
                    dailyLimit: 15
                    sentToday: 3
                    daysRemaining: 5
                  lastHealthCheckAt: '2026-07-20T13:00:00.000Z'
                  lastHealthOkAt: '2026-07-20T13:00:00.000Z'
                  disconnectReason: null
                  canAutoRecover: true
        '403':
          description: Sem escopo instagram:read.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfIg_ErrorResponse'
        '404':
          description: Instance not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfIg_ErrorResponse'
components:
  schemas:
    NtfIg_ConnectionStatus:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            status:
              type: string
            liveConnected:
              type: boolean
            username:
              type: string
              nullable: true
            lockedUsername:
              type: string
              nullable: true
            reconnectBlockedUntil:
              type: string
              format: date-time
              nullable: true
            abusePausedUntil:
              type: string
              format: date-time
              nullable: true
            connectBlocked:
              type: boolean
              description: true se cooldown ou abuse pause impede novo login/challenge.
            warmup:
              $ref: '#/components/schemas/NtfIg_WarmupSnapshot'
            lastHealthCheckAt:
              type: string
              format: date-time
              nullable: true
            lastHealthOkAt:
              type: string
              format: date-time
              nullable: true
            disconnectReason:
              type: string
              nullable: true
            canAutoRecover:
              type: boolean
    NtfIg_ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: true
        data:
          type: object
          additionalProperties: true
        retryAfterSec:
          type: integer
          description: >-
            Segundos até poder tentar de novo (presente em 429 de cooldown/abuse
            pause).
    NtfIg_WarmupSnapshot:
      type: object
      description: >-
        Estado do warm-up da instance (conexão unofficial AIOGRAPI, primeiros 5
        dias após firstConnectedAt).
      properties:
        active:
          type: boolean
          description: Se a instance está em warm-up.
        dailyLimit:
          type: integer
          description: Limite diário de DMs durante warm-up (15).
        sentToday:
          type: integer
          description: DMs já contabilizadas hoje (UTC).
        daysRemaining:
          type: integer
          description: Dias restantes na janela de warm-up.
  securitySchemes:
    ntfIgBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_live_...'
    ntfIgApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````